from setuptools import setup

setup(
    name="prometheus_client_rus",
    version="0.1.0",
    author="Stefan Buehler",
    author_email="stefan.buehler@tik.uni-stuttgart.de",
    description="Python client for the Prometheus monitoring system (RUS version).",
    long_description=(
        "See https://github.tik.uni-stuttgart.de/NKS/python-prometheus/blob/master/README.md"
        " for documentation."),
    license="Apache Software License 2.0",
    keywords="prometheus monitoring instrumentation client",
    url="https://github.tik.uni-stuttgart.de/NKS/python-prometheus/",
    packages=[
        'prometheus_client',
        'prometheus_client.bridge',
        'prometheus_client.openmetrics',
        'prometheus_client.twisted',
    ],
    extras_require={
        'twisted': ['twisted'],
    },
    test_suite="tests",
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "Intended Audience :: Information Technology",
        "Intended Audience :: System Administrators",
        "Programming Language :: Python",
        "Programming Language :: Python :: 2",
        "Programming Language :: Python :: 2.6",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.4",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: Implementation :: CPython",
        "Programming Language :: Python :: Implementation :: PyPy",
        "Topic :: System :: Monitoring",
        "License :: OSI Approved :: Apache Software License",
    ],
)
